bspwm/tests/run
Bastien Dejean e8aa679cd1 Introduce receptacles
A receptacle is an unfocusable empty leaf node.

Receptacles are used for building a tree without creating windows.

Example:

    bspc node -i
    bspc node @/ -p east -i
    bspc node @/2 -p north -i

    bspc rule -a Abc:abc -o node=@/1
    bspc rule -a Ijk:ijk -o node=@/2/1
    bspc rule -a Xyz:xyz -o node=@/2/2

Fixes #259.
2016-03-26 11:47:17 +01:00

41 lines
791 B
Bash
Executable file

#! /bin/sh
focus_follows_pointer=$(bspc config focus_follows_pointer)
initial_polarity=$(bspc config initial_polarity)
bspc config initial_polarity first_child
bspc config focus_follows_pointer false
cleanup () {
bspc config initial_polarity "$initial_polarity"
bspc config focus_follows_pointer "$focus_follows_pointer"
}
abort() {
cleanup
echo "One test failed." 1>&2
exit 1
}
echo "Node"
echo "-> Insertion"
./node/insertion || abort
echo "-> Removal"
./node/removal || abort
echo "-> Transfer"
./node/transfer || abort
echo "-> Swap"
./node/swap || abort
echo "-> Flags"
./node/flags || abort
echo "-> Receptacle"
./node/receptacle || abort
echo "Desktop"
echo "-> Transfer"
./desktop/transfer || abort
echo "-> Swap"
./desktop/swap || abort
cleanup
echo "All tests passed."